Package ch.qos.logback.classic.spi

## Class LoggerContextVO

- java.lang.Object
- - ch.qos.logback.classic.spi.LoggerContextVO

All Implemented Interfaces:
  `java.io.Serializable`

    public class LoggerContextVO
    extends java.lang.Object
    implements java.io.Serializable

LoggerContextVO offers a restricted view of LoggerContext intended to be exposed by LoggingEvent to remote systems. This restricted view is optimized for serialization.

Some of the LoggerContext or Logger attributes MUST not survive serialization, e.g appenders, level values etc, as these attributes may have other values on the remote platform. LoggerContextVO class exposes the minimal and relevant attributes to the remote host, instead of having to deal with an incomplete LoggerContext with many null references.

Author:
  Ceki Gülcü, Sébastien Pennec
See Also:
  Serialized Form

### Constructor Summary

Constructors
`LoggerContextVO​(LoggerContext lc)`
`LoggerContextVO​(java.lang.String name, java.util.Map<java.lang.String,​java.lang.String> propertyMap, long birthTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`long` `getBirthTime()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,​java.lang.String>` `getPropertyMap()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoggerContextVO

    public LoggerContextVO​(LoggerContext lc)

#### LoggerContextVO

    public LoggerContextVO​(java.lang.String name,
                           java.util.Map<java.lang.String,​java.lang.String> propertyMap,
                           long birthTime)

### Method Detail

#### getName

    public java.lang.String getName()

#### getPropertyMap

    public java.util.Map<java.lang.String,​java.lang.String> getPropertyMap()

#### getBirthTime

    public long getBirthTime()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`